const
  dt = 0.00001;
  g = 9.8;
var
  m, v0, alpha, k: extended;
  v0x, v0y, alpharad: extended;
  vx, vy, x, y, t: extended;
  vx1, vy1, x1, y1: extended;

  procedure myassert(b: boolean);
  begin
    if (not b) then
      halt(1);
  end;

begin
  assign(input, 'input.txt');
  reset(input);
  assign(output, 'output.txt');
  rewrite(output);

  myassert(not SeekEof(input));
  read(m);
  myassert(not SeekEof(input));
  read(v0);
  myassert(not SeekEof(input));
  read(alpha);
  myassert(not SeekEof(input));
  read(k);
  myassert(SeekEof(input));
  myassert((0.1 <= m) and (m <= 10));
  myassert((0.1 <= v0) and (v0 <= 20));
  myassert((1 <= alpha) and (alpha <= 90));
  myassert((0 <= k) and (k <= 10));

  alpharad := alpha/180*pi;
  v0x := v0*cos(alpharad);
  v0y := v0*sin(alpharad);

  x := 0;
  y := 0;
  vx := v0x;
  vy := v0y;
  t := 0;
  while ((t < 10*dt) or (y > 0)) do
  begin
    vx1 := vx - k/m*vx*dt;
    vy1 := vy - (g + k/m*vy)*dt;
    x1 := x + vx*dt;
    y1 := y + vy*dt;

    vx := vx1;
    vy := vy1;
    x := x1;
    y := y1;
    t := t + dt;
  end;

  write(t:0:3, ' ', x:0:3);

  close(input);
  close(output);
end.


