const
  dt = 0.0000001;
  g = 9.8;
var
  m, v0, alpha, k: extended;
  v0x, v0y, alpharad: extended;
  x, y, t: extended;

  function getx(t: extended): extended;
  begin
    if (k = 0) then
      Result := v0x*t
    else
      Result := v0x*m/k*(1 - exp(-k/m*t));
  end;

  function gety(t: extended): extended;
  begin
    if (k = 0) then
      Result := v0y*t - g*t*t/2
    else
      Result := m/k*((v0y + m*g/k)*(1 - exp(-k/m*t)) - g*t);
  end;

begin
  assign(input, 'input.txt');
  reset(input);
  assign(output, 'output.txt');
  rewrite(output);

  assert(not SeekEof(input));
  read(m);
  assert(not SeekEof(input));
  read(v0);
  assert(not SeekEof(input));
  read(alpha);
  assert(not SeekEof(input));
  read(k);
  assert(SeekEof(input));
  assert((0.1 <= m) and (m <= 10));
  assert((0.1 <= v0) and (v0 <= 20));
  assert((1 <= alpha) and (alpha <= 90));
  assert((0.1 <= k) and (k <= 10));

  alpharad := alpha/180*pi;
  v0x := v0*cos(alpharad);
  v0y := v0*sin(alpharad);

  x := 0;
  y := 0;
  t := 0;
  while ((t < 10*dt) or (y > 0)) do
  begin
    y := gety(t);
    t := t + dt;
  end;
  x := getx(t);

  write(t:0:3, ' ', x:0:3);

  close(input);
  close(output);
end.



